Subject: Troubles Compiling VMS Pine

From: [email-masked]
Date: Tue, 04 Apr 1995 15:50:42 -0500 (EST)

Hello all.

I recently got VMS Pine 3.91B4 from HUJI and tried to build it on my VAX 
4000-400 running VMS 5.5-2 using DECC 4.0. I encountered the errors below. 
Has anyone out there in the VMS part of this list encountered these 
problems and found a fix? Thanks for any info.

V1$@vmsbuild multinet

[...snip...]

	  typedef unsigned long int	time_t;
	................................^
%CC-E-NOLINKAGE, In this declaration, time_t has no linkage and
has a prior
 declaration in this scope at
 33:MULTINET_COMMON_ROOT:[MULTINET.INCLUDE.SYS]TYPES.H;3: .
		At line number 57 in
SYS$COMMON:[DECC$LIB.INCLUDE]TIME.H;2.

	struct tm {
	^
%CC-E-REDEFSTRUCT, In this declaration, the structure "tm" is
being redeclared.
		At line number 57 in
MULTINET_COMMON_ROOT:[MULTINET.INCLUDE.SYS] 
TIME.H;3.

	typedef  long int clock_t;
	..................^
%CC-E-NOLINKAGE, In this declaration, clock_t has no linkage and
has a prior
 declaration in this scope at
53:SYS$COMMON:[DECC$LIB.INCLUDE]TIME.H;2: .
		At line number 73 in
MULTINET_COMMON_ROOT:[MULTINET.INCLUDE.SYS] 
TIME.H;3.

[...snip...]

	}
%VCG-I-NOBJECT, No object file produced.
		At line number 415 in USER1:[BINGHAMT.PINE.PINE3_91.C-
CLIENT]TCP 
_VMS.C;3.

%VCG-I-SUMMARY, Completed with 3 error(s), 9 warning(s), and
		18 informational messages.
		At line number 415 in USER1:[BINGHAMT.PINE.PINE3_91.C-
CLIENT]TCP 
_VMS.C;3.

V1$

Tim

Tim Bingham                      SUNY Health Science Center 
[email-masked]       Computer Services Dept.
phone (315) 464-5426             750 E. Adams St.              ____   __o 
fax   (315) 464-4081             Syracuse, NY  13210          ____   \ <; 
__________________________________________________________________(_)/_(_)_____
http://kellogg.cs.hscsyr.edu/computer_services/staff/bingham_info.html